# Generated by LaTeX DogWagger Version 4.0.5 from file <NCTLL_904.tex>
# Date: [2020-9-17 13:16:5] 
# Do NOT edit this file. Edit the LaTeX source!!

# - <Section 40> - 
#' Wide-ranging data from Our World In Data. I only use a tiny part.  
#' 
#' @format A data frame with 17,013 rows (current) 
#' \describe{
#'   \item{iso_code}{ISO 3-letter country code}
#'   \item{date}{Date for this row of data}
#'   \item{total_cases}{total cases to date}
#'   \item{new_cases}{new cases}
#'   \item{total_deaths}{eponymous}
#'   \item{new_deaths}{}
#'   \item{total_tests}{Recorded tests in toto}
#'   \item{new_tests}{Eponymous}
#'   \item{tests_units}{}
#'   \item{stringency_index}{How severe the lockdown was}
#' }
#' @source \url{https://github.com/owid/covid-19-data/tree/master/public/data}
"owid"

# - <Section 41> - 
#' Country data from Our World In Data. 
#' 
#' @format A data frame with 17,013 rows (current) 
#' \describe{
#'   \item{iso_code}{ISO 3-letter country code}
#'   \item{location}{Text name of country}
#'   \item{population}{}
#'   \item{continent}{} 
#'   \item{population_density}{}
#'   \item{median_age}{}
#'   \item{aged_65_older}{}
#'   \item{aged_70_older}{}
#'   \item{gdp_per_capita}{}
#'   \item{extreme_poverty}{}
#'   \item{cvd_death_rate}{}
#'   \item{diabetes_prevalence}{}
#'   \item{female_smokers}{}
#'   \item{male_smokers}{}
#'   \item{handwashing_facilities}{}
#'   \item{hospital_beds_per_thousand}{}
#'   \item{life_expectancy}{}
#'   \item{alias}{Alias country name, shorter}
#'   \item{lowstart}{Start of 'summer' viral respiratory low}
#'   \item{lowend}{End of respiratory low. Sketchy at present.}
#' }
#' @source \url{https://github.com/owid/covid-19-data/tree/master/public/data} 
#'   and \url{https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4847850/}
"cntry"

# - <Section 42> - 
#' Google trends search for 'coronavirus'. 
#' 
#' @format A data frame with 155 rows (current) 
#' \describe{
#'   \item{Date}{Date in format YYYY-MM-DD}
#'   \item{Day}{} 
#'   \item{coronavirus}{Coronavirus 'interest' as percentage of maximum count }
#' }
#' @source \url{https://trends.google.com/trends/}
"gt"

# - <Section 43> - 
#' Approximate dates of full lockdown in various countries. 
#' 
#' @format A data frame with 110 rows (current) 
#' \describe{
#'   \item{iso_code}{Country}
#'   \item{Lockdown}{Date of lockdown YYYY-MM-DD}
#'   \item{nature}{Text description: national | partial | advice | empty(none) }
#' }
#' @source Various data sources. 
"lock"

# - <Section 44> - 
#' Semmelweis' data on Deaths of parturients in Vienna 
#' 
#' @format A data frame with 98 rows  
#' \describe{
#'    \item{date}{Date of the start of each month YYYY-MM-01}
#'    \item{births}{Number of births during that month}
#'    \item{deaths}{Number of maternal deaths during that month}
#' }
#' @source \url{https://en.wikipedia.org/wiki/Historical_mortality_rates_of_puerperal_fever}
"vienna"

# - <Section 45> - 
#' Historical Dow Jones Industrial Average prices. 
#' 
#' @format A data frame with 110 rows (current) 
#' \describe{
#'   \item{Date}{Date of transaction---excludes weekends etc}
#'   \item{Open}{Opening average}
#'   \item{High}{Maximum over the day}
#'   \item{Low}{Minimum}
#'   \item{Close}{Closing price}
#' }
#' @source \url{https://www.wsj.com/market-data/quotes/index/DJIA/historical-prices}
"djia" 

# - <Section 46> - 
#' Deaths, by week, for various countries. 
#'
#' @format A data frame with 22678 rows. 
#' \describe{
#'   \item{iso_code}{Normally a 3-character country code e.g. NZL, AUT. England+Wales=GBRTENW, Scotland=GBR_SCO}
#'   \item{Year}{YYYY}
#'   \item{Week}{Week within that year, 1=1st}
#'   \item{Deaths}{Number of deaths in that week}
#'   \item{X}{} 
#' } 
#' @source \url{https://www.ons.gov.uk/peoplepopulationandcommunity/birthsdeathsandmarriages/deaths/datasets/weeklyprovisionalfiguresondeathsregisteredinenglandandwales} \url{https://www.stats.govt.nz/experimental/covid-19-data-portal}  \url{https://www.scb.se/en/finding-statistics/statistics-by-subject-area/population/population-composition/population-statistics/#_Tablesandgraphs} and also (registration now required) \url{https://www.mortality.org/} 
"stmf"

# - <Section 47> - 
#' Citymapper data. 
#' 
#' These are a bit unusual in that each country has a column. 
#' @format A data frame with 108 rows. 
#' \describe{
#' \item{Date}{} 
#' \item{Australia}{} 
#' \item{Austria}{} 
#' \item{Belgium}{} 
#' \item{Brazil}{} 
#' \item{Canada}{} 
#' \item{Denmark}{} 
#' \item{France}{} 
#' \item{Germany}{} 
#' \item{Italy}{} 
#' \item{Japan}{} 
#' \item{Mexico}{} 
#' \item{Netherlands}{} 
#' \item{Portugal}{} 
#' \item{Russia}{} 
#' \item{Singapore}{} 
#' \item{South.Korea}{} 
#' \item{Spain}{} 
#' \item{Sweden}{} 
#' \item{Turkey}{} 
#' \item{United.Kingdom}{} 
#' \item{United.States}{} 
#' } 
#' @source \url{https://citymapper.com/cmi/about}
"citymap"

# - <Section 48> - 
#' Allometric scaling data. 
#' 
#' Used to introduce power laws. 
#' @format A data frame with 455 rows. 
#' \describe{
#'   \item{Species}{}
#'   \item{Mass}{}
#'   \item{Temperature}{ }
#'   \item{MR}{Metabolic rate}
#'   \item{AvgMass}{}
#'   \item{Q10SMR}{ }
#'   \item{Reference}{}
#' } 
#' @source \url{https://royalsocietypublishing.org/doi/suppl/10.1098/rsbl.2005.0378}
"allo"

# - <Section 49> - 
#' The game of life. 
#' 
#' This specifies initial conditions, using a clumsy storage format as below. 
#' @format A data frame with 213 rows. 
#' \describe{
#'   \item{x}{x co-ordinate of an active cell}
#'   \item{y}{y co-ordinate}
#'   \item{pattern}{A name like 'blinker' --- will be common to several rows, specifying a Game of Life pattern }
#' } 
#' @source (internal generation)
"life"
# -END OF FILE- 
